import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http'
import { MatSnackBar, MatSnackBarConfig } from '@angular/material/snack-bar';

@Injectable({
  providedIn: 'root'
})

export class CacheTokenService {

  constructor(private http:HttpClient,public snackBar: MatSnackBar) { }

  //登录
  loginData = {name: 'superadmin', password: 'anxin119'} //登录账号信息
  
  login () {
    return new Promise ((resolve,reject)=>{
      sessionStorage.setItem("buildingTypeId",'5e7c9078a3050b1a840ed4ba'); //建筑类型
      sessionStorage.setItem("planId",'5f6957a29e91f4410005f5d7'); //预案ID
      sessionStorage.setItem("companyId",'5f67042b9e91f4410005f55c'); //单位ID
      this.http.post('/api/Account/SignIn',this.loginData).subscribe((data:any)=>{
        sessionStorage.setItem("level",data.level);
        sessionStorage.setItem("token",data.token);
        sessionStorage.setItem("refreshToken",data.refreshToken);
        const config = new MatSnackBarConfig();
        config.verticalPosition = 'top';
        config.duration = 3000
        this.snackBar.open('自动登录成功','确定',config);
        this.startUp()
        resolve('success')
      },(err) => { //捕获错误
        const config = new MatSnackBarConfig();
        config.verticalPosition = 'top';
        config.duration = 3000
        this.snackBar.open(err,'确定',config);
      })
    })
  }
  //登录

  public timer;

  //刷新token令牌定时器
  startUp = ():void=>{
    window.clearInterval(this.timer) //清一遍定时器
    this.timer = window.setInterval(()=>{
      var token = sessionStorage.getItem("token");
      var refreshToken = sessionStorage.getItem("refreshToken");
      this.http.post('/api/Account/RefreshToken', {
        token: token,
        refreshToken: refreshToken
      }).subscribe((data:any) => {
        sessionStorage.setItem("level",data.level);
        sessionStorage.setItem("token",data.token);
        sessionStorage.setItem("refreshToken",data.refreshToken);
      })
    },18*60*1000)

  }



  //删除定时器
  delete = ():void=> {
    window.clearInterval(this.timer)
  }



}
